## Spring DATASOURCE (DataSourceAutoConfiguration & DataSourceProperties)
spring:
  datasource:
    driver-class-name: org.postgresql.Driver
    username: postgres
    password: root
    url: jdbc:postgresql://db:5432/postgres
    platform: postgres
    initialization-mode: always
    continue-on-error: true
    mail:
      host: smtp.gmail.com
      password: Mb21880781
      port: 587
      properties:
        mail:
          smtp:
            auth: true
            connectiontimeout: 5000
            starttls:
              enable: true
              required: true
            timeout: 5000
            writetimeout: 5000
      username: mohamedbouguerra7@gmail.com


  jpa:
    show-sql: false
#    generate-ddl: false
    hibernate:
      ddl-auto: create
    database: postgresql
    properties:
      hibernate:
        temp:
          use_jdbc_metadata_defaults: false;
    database-platform: org.hibernate.dialect.PostgreSQL9Dialect
  #      dialect: org.hibernate.dialect.MySQL5Dialect

#  jackson:
#    default-property-inclusion: non_null
#  redis:
#    host: localhost
#    port: 6379
#  freemarker:
#      cache: false




  queries:
    users-query: select email, password, active from users where email=?
    roles-query: select email, role from users where email=?
#server:
 # servlet:
  #  contextPath: /api
server:
  tomcat:
    max-http-post-size: 100000000
    max-swallow-size: 100000000
  port:
    8081
  ssl:
    enabled:
      true
    keyStoreType:
      PKCS12
    key-store:
      config/regystone.p12
    key-store-password:
      re.gystone
    keyAlias: regystone
  http:
    port:
      8082
  servlet:
    contextPath: /

jwtSecret: re.gystone
jwtExpiration: 86400
